API DocumentationCart resource

Get paginated carts with RSQL filtering

GET
/api/manufacturer/v1/cart

Retrieves paginated cart records for the current operator. Intended for cart analytics — typical use case is identifying high-value or anomalous quoting activity across customers. Supports RSQL filtering via filter and a free-text search parameter matched against cart number, customer email, customer first and last name, customer organisation name, and cart item (part) name.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Query Parameters

filter*string

RSQL query string for filtering (e.g. paymentStatus=in=(PAID,UNPAID);price>10)

page?integer

Zero-based page index (0..N)

Range0 <= value
Default0
size?integer

The size of the page to be returned

Range1 <= value
Default20
sort?array<string>

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Default
[  "createdAt,DESC"]
search?string

Response Body

Carts retrieved successfully

application/json
  1. response
content*array<unknown>
totalElements*integer
totalPages*integer
pageNumber*integer
pageSize*integer
isEmpty*boolean
isFirst*boolean
isLast*boolean
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/cart?filter=string'
{  "content": [    null  ],  "totalElements": 0,  "totalPages": 0,  "pageNumber": 0,  "pageSize": 0,  "isEmpty": true,  "isFirst": true,  "isLast": true}